# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('zeitkarte', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Absent',
            fields=[
                ('id', models.AutoField(serialize=False, verbose_name='ID', auto_created=True, primary_key=True)),
                ('reason', models.CharField(max_length=100, choices=[('ZK-Ausgleich', 'ZK'), ('MDL-Ausgleich', 'MDLA'), ('Erholungsurlaub', 'EU'), ('Pflegeurlaub', 'PU'), ('Sonderurlaub', 'SU'), ('Arzt', 'A'), ('Krank', 'K'), ('Kuraufenthalt', 'Kur'), ('', '..Sonstiges')], default='')),
                ('starttime', models.DateTimeField()),
                ('endtime', models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name='AbsentReasons',
            fields=[
                ('id', models.AutoField(serialize=False, verbose_name='ID', auto_created=True, primary_key=True)),
                ('reason', models.CharField(max_length='100')),
            ],
        ),
        migrations.CreateModel(
            name='TimeDelta',
            fields=[
                ('id', models.AutoField(serialize=False, verbose_name='ID', auto_created=True, primary_key=True)),
                ('pub_date', models.DateField(default=django.utils.timezone.now)),
                ('Stand', models.DurationField()),
            ],
        ),
        migrations.AlterField(
            model_name='person',
            name='DStl',
            field=models.CharField(max_length=20, blank=True),
        ),
        migrations.AlterField(
            model_name='person',
            name='Dgrd',
            field=models.CharField(max_length=20, blank=True),
        ),
        migrations.AlterField(
            model_name='person',
            name='SVNR',
            field=models.CharField(max_length=20),
        ),
        migrations.AlterField(
            model_name='person',
            name='title_pre',
            field=models.CharField(max_length=20, blank=True),
        ),
        migrations.AlterField(
            model_name='person',
            name='title_suf',
            field=models.CharField(max_length=20, blank=True),
        ),
        migrations.AddField(
            model_name='timedelta',
            name='person',
            field=models.ForeignKey(to='zeitkarte.Person'),
        ),
        migrations.AddField(
            model_name='absent',
            name='person',
            field=models.ForeignKey(to='zeitkarte.Person'),
        ),
    ]
