from django.shortcuts import render
from django.views import generic
from zeitkarte.models import Person, TimeTable, Absent
from django.utils import timezone
import calendar

# Create your views here.

class DailyInput(generic.FormView):
    pass

class IndexView(generic.ListView):
    model = Person
    template_name = 'zeitkarte/index.html'




mnames = "Januar Februar März April Mai Juni Juli August September Oktober November Dezember"
mnames = mnames.split()

def get_person(person):
    if person:
        person_id=int(person)
        try:
            pers = Person.objects.get(pk=person_id)
        except:
            pers="Person nicht erfasst!"
    else:
        pers = "Bitte Person auswählen"
    return pers


def MainView(request, year=None, person=None):
    pers = get_person(person)

    if year: year=int(year)
    else: year = int(timezone.now().year)

    mlist = []
    for n, month in enumerate(mnames):
        mlist.append(dict(n=n+1, name=month))

    return render(request, 'zeitkarte/main.html', context=dict(month=mlist, year=year, pers=pers))

def MonthView(request,year=None, month=None, person=None):
    pers = get_person(person)

    if year: year=int(year)
    else: year = int(timezone.now().year)
    if month: month=int(month)
    else: month=int(timezone.now().month)

    try:
        hrs = TimeTable.objects.filter(person_id=pers, intime__month=month)
    except:
        #TODO sinnvolle exeption implementieren
        pass

    return render(request, 'zeitkarte/month.html', context=dict(year=year, month=month, pers=pers, hrs=hrs))

def MonatsView(request, year=2015, month=9):
    # Variavle initialisieren TODO hardcodiertes Jahr und Monat entfernen
    cal = calendar.Calendar()
    month_days = cal.itermonthdays(year, month)
    #nyear, nmonth, nday = timezone.now()[:3]
    lst =[[]]
    week = 0

    for day in month_days:
        lst[week].append((day))
        if len(lst[week]) == 7:
            lst.append([])
            week += 1
    return render(request, 'zeitkarte/monat.html', context=dict(year=year, month=month, month_days=lst, mnames=mnames[month-1]))